%define        libname       lib%{name}
%define        pkgver %(echo %version | tr _ -)
Name:          fontforge
Epoch:         1
Version:       20220308
Release:       1mamba
Summary:       An outline font editor
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://fontforge.org/
Source:        https://github.com/fontforge/fontforge.git/%{version}/fontforge-%{version}.tar.bz2
Source2:       %{name}-desktop
Patch0:        fontforge-20150228-add_gunicode_to_pkgconfig.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbrotli-devel
BuildRequires: libcairo-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libjpeg-devel
BuildRequires: libpango-devel
BuildRequires: libpng-devel
BuildRequires: libpython310-devel
BuildRequires: libreadline-devel
BuildRequires: libspiro-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtiff-devel
BuildRequires: libwoff2-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libuninameslist-devel >= 20200413
#BuildConflicts: libfontforge-devel
Requires:      potrace
Requires:      xdg-utils
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description
FontForge is an outline font editor that lets you create your own postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and bitmap (bdf) fonts, or edit existing ones. Also lets you convert one format to another.
FontForge has support for many macintosh font formats.

%package -n %{libname}
Group:         System/Libraries
Summary:       The libraries for FontForge

%description -n %{libname}
FontForge is an outline font editor that lets you create your own postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and bitmap (bdf) fonts, or edit existing ones. Also lets you convert one format to another.
FontForge has support for many macintosh font formats.
This package contains shared libraries needed for FontForge.

%package -n %{libname}-devel
Group:         Development/Libraries
Summary:       Devel files for FontForge
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{libname}-devel
FontForge is an outline font editor that lets you create your own postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and bitmap (bdf) fonts, or edit existing ones. Also lets you convert one format to another.
FontForge has support for many macintosh font formats.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n %{name}-%{pkgver}
#-D -T
#%patch0 -p1

#mkdir docs
#tar xjf %{S:1} -C docs
#rm -rf docs/scripts
#chmod 644 docs/*.gif docs/*.html docs/*.png
#rm -rf docs/flags/CVS
#sed -i -e "s,\r,," docs/Big5.txt
#sed -i -e "s,\r,," docs/corpchar.txt

#tar xzf docs/cidmaps.tgz

%build
#:<< _EOF
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

%find_lang FontForge

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f FontForge.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/fontimage
%{_bindir}/fontlint
%{_bindir}/sfddiff
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/org.fontforge.FontForge.desktop
%{_datadir}/icons/hicolor/*/apps/org.fontforge.FontForge.png
%{_datadir}/icons/hicolor/scalable/apps/org.fontforge.FontForge.svg
%{_datadir}/metainfo/org.fontforge.FontForge.*.xml
%{_datadir}/mime/packages/fontforge.xml
%{_mandir}/man1/%{name}.*
%{_mandir}/man1/fontimage.*
%{_mandir}/man1/fontlint.*
%{_mandir}/man1/sfddiff.*
%{python310_sitearch}/fontforge.*
%{python310_sitearch}/psMat.*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfontforge.so.*
%doc AUTHORS LICENSE

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libfontforge.so
%dir %{_docdir}/fontforge
%{_docdir}/fontforge/*
%{_datadir}/doc/fontforge/.buildinfo
%{_datadir}/doc/fontforge/.nojekyll

%changelog
* Sat Mar 12 2022 Automatic Build System <autodist@mambasoft.it> 20220308-1mamba
- automatic version update by autodist

* Tue Jun 01 2021 Automatic Build System <autodist@mambasoft.it> 20201107-1mamba
- automatic version update by autodist

* Sat Dec 05 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20190801-2mamba
- rebuilt with libuninameslist-devel 20200413

* Sun Aug 18 2019 Automatic Build System <autodist@mambasoft.it> 20190801-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 20190413-1mamba
- automatic version update by autodist

* Fri Apr 26 2019 Automatic Build System <autodist@mambasoft.it> 20190317-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 20170731-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Automatic Build System <autodist@mambasoft.it> 20161012-1mamba
- automatic version update by autodist

* Wed Oct 05 2016 Automatic Build System <autodist@mambasoft.it> 20161004-1mamba
- automatic version update by autodist

* Sat May 28 2016 Automatic Build System <autodist@mambasoft.it> 20160404-1mamba
- automatic version update by autodist

* Thu Oct 01 2015 Automatic Build System <autodist@mambasoft.it> 20150824-1mamba
- automatic version update by autodist

* Thu Jun 25 2015 Automatic Build System <autodist@mambasoft.it> 20150612-1mamba
- automatic version update by autodist

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 20150430-1mamba
- automatic version update by autodist

* Fri Apr 03 2015 Automatic Build System <autodist@mambasoft.it> 20150330-1mamba
- automatic version update by autodist

* Tue Mar 24 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 20150228-2mamba
- upstream patch to fix pkgconfig and make install

* Sun Mar 08 2015 Automatic Build System <autodist@mambasoft.it> 20150228-1mamba
- automatic version update by autodist

* Thu Nov 27 2014 Automatic Build System <autodist@mambasoft.it> 20141126-1mamba
- automatic version update by autodist

* Sun Oct 26 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20141014-1mamba
- update to 20141014

* Sun Jul 27 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20140101-2mamba
- rebuilt with -ltermcap to fix link with readline

* Sat Feb 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 20140101-1mamba
- update to 20140101

* Thu May 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20120731_b-3mamba
- python 2.7 mass rebuild

* Wed Jan 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 20120731_b-2mamba
- bump epoch up

* Sat Dec 08 2012 Automatic Build System <autodist@mambasoft.it> 20120731_b-1mamba
- update to 20120731_b

* Sun Aug 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 20120731-1mamba
- update to 20120731

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 20110222-1mamba
- update to 20110222

* Tue May 11 2010 Automatic Build System <autodist@mambasoft.it> 20100501-1mamba
- automatic update by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 20090622-1mamba
- automatic update by autodist

* Thu Dec 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20081115-1mamba
- update to 20081115

* Fri Nov 23 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20071110-2mamba
- added missing build requirements
- rebuilt with regular link to shared libraries
- added desktop file
- added documentation files

* Mon Nov 19 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 20071110-1mamba
- update to 20071110

* Mon Jun 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 20070511-2mamba
- remove duplicated libraries in fontforge package

* Wed Jun 06 2007 Aleph0 <aleph0@openmamba.org> 20070511-1mamba
- update to 20070511

* Thu Feb 15 2007 Davide Madrisan <davide.madrisan@qilinux.it> 20061220-2qilnx 
- update ldconfig cache
- package locale files using %%find_lang
- do not ignore command line args in the wrapper for fontforge
- created the library packages
- build requires libxkbfile-devel

* Tue Feb 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 20061220-1qilnx
- update to version 20061220 by autospec
- added a wrapper to display correctly under Xgl

* Mon Sep 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060822-1qilnx
- update to version 20060822 by autospec

* Tue May 09 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 20060413-1qilnx
- new version build

* Thu Dec 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 20041203-1qilnx
- package created by autospec
